Bug 980454 - boot failure after F17->F18 upgrade (selinux denials for mdadm) [NEEDINFO]
boot failure after F17->F18 upgrade (selinux denials for mdadm)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 08:13 EDT by gchak207
Modified: 2014-02-05 17:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:02:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wwoods: needinfo? (gchak)


Attachments (Terms of Use)
fedup log (570.79 KB, text/plain)
2013-07-02 08:17 EDT, gchak207
no flags Details
var/log/gzipped messages (48.49 KB, application/gzip)
2013-07-05 11:33 EDT, gchak207
no flags Details
updated fedup debug log (8.76 KB, application/gzip)
2013-07-05 11:35 EDT, gchak207
no flags Details

  None (edit)
Description gchak207 2013-07-02 08:13:36 EDT
Description of problem:
The problem is very similar to 
https://bugzilla.redhat.com/show_bug.cgi?id=958586
and
https://bugzilla.redhat.com/show_bug.cgi?id=979723
On trying to use 
sudo fedup-cli --network 18 --debuglog fedupdebug.log

When it restarts it gets stuck under
* Timed out waiting for device dev-mapper-vg_cvlinux3\x2dlv_home.device.
* Dependency failed for /home.

I realize it is similar to those bugs but the solutions there do not seem to solve this problem.
I have used the most recent fedup under testing repo.

Version-Release number of selected component (if applicable):


How reproducible:
Not sure. On my desktop it is happening every time I try to use fedup using
sudo fedup-cli --network 18 --debuglog fedupdebug.log

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 gchak207 2013-07-02 08:17:57 EDT
Created attachment 767705 [details]
fedup log
Comment 2 gchak207 2013-07-05 11:32:36 EDT
On trying again today it passed that phase. It changes the grub entry and seemingly finishes the install. But after the upgrade, on selecting the proper kernel option it keeps restarting. Attached var/log/messages and updated fedupdebuglog
Comment 3 gchak207 2013-07-05 11:33:48 EDT
Created attachment 769298 [details]
var/log/gzipped messages
Comment 4 gchak207 2013-07-05 11:35:24 EDT
Created attachment 769309 [details]
updated fedup debug log
Comment 5 Will Woods 2013-10-09 16:06:43 EDT
Your system log shows a *lot* of SELinux errors/denials, including denying mdadm from setting up your /home partition.

You might try booting with "enforcing=0" and/or creating /.autorelabel; this might fix the SELinux problems you're seeing.

fedup doesn't do anything with SELinux on its own - all it does is install packages. So I'm not sure what I can do here.

Could you attach /var/log/upgrade.log?
Comment 6 Fedora End Of Life 2013-12-21 09:13:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:02:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.